package com.qianhe.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 三基帮扶组维护对象 sj_bfzwh
 *
 * @author qianhe
 * @date 2024-08-31
 */
public class SjBfzbfdx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 帮扶组id */
    private Long id;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    private String deptName;
    private String deptLx;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deptId", getDeptId())
                .toString();
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptLx() {
        return deptLx;
    }

    public void setDeptLx(String deptLx) {
        this.deptLx = deptLx;
    }
}
